Bug 1292966 - [abrt] pavucontrol: gtk_image_get_content_size(): pavucontrol killed by SIGSEGV
[abrt] pavucontrol: gtk_image_get_content_size(): pavucontrol killed by SIGSEGV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pavucontrol (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8a2676ee7772cada3105e3cd934...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 16:32 EST by Francesco Frassinelli (frafra)
Modified: 2016-03-28 09:49 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-28 09:49:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (68.58 KB, text/plain)
2015-12-18 16:32 EST, Francesco Frassinelli (frafra)
no flags Details
File: cgroup (242 bytes, text/plain)
2015-12-18 16:32 EST, Francesco Frassinelli (frafra)
no flags Details
File: core_backtrace (31.51 KB, text/plain)
2015-12-18 16:32 EST, Francesco Frassinelli (frafra)
no flags Details
File: dso_list (11.72 KB, text/plain)
2015-12-18 16:32 EST, Francesco Frassinelli (frafra)
no flags Details
File: environ (1.40 KB, text/plain)
2015-12-18 16:32 EST, Francesco Frassinelli (frafra)
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-18 16:32 EST, Francesco Frassinelli (frafra)
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-18 16:32 EST, Francesco Frassinelli (frafra)
no flags Details
File: maps (55.97 KB, text/plain)
2015-12-18 16:32 EST, Francesco Frassinelli (frafra)
no flags Details
File: mountinfo (3.15 KB, text/plain)
2015-12-18 16:32 EST, Francesco Frassinelli (frafra)
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-18 16:32 EST, Francesco Frassinelli (frafra)
no flags Details
File: open_fds (778 bytes, text/plain)
2015-12-18 16:32 EST, Francesco Frassinelli (frafra)
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2015-12-18 16:32 EST, Francesco Frassinelli (frafra)
no flags Details
File: var_log_messages (301 bytes, text/plain)
2015-12-18 16:32 EST, Francesco Frassinelli (frafra)
no flags Details

  None (edit)
Description Francesco Frassinelli (frafra) 2015-12-18 16:32:06 EST
Description of problem:
Testing Xfce LiveCD x86_64 rawhide 18 december 2015. I tried to launch pavucontrol from Applications menu.

Version-Release number of selected component:
pavucontrol-3.0-5.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        pavucontrol
crash_function: gtk_image_get_content_size
executable:     /usr/bin/pavucontrol
global_pid:     3596
kernel:         4.4.0-0.rc5.git1.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_image_get_content_size at gtkimage.c:1697
 #1 gtk_css_custom_gadget_get_preferred_size at gtkcsscustomgadget.c:121
 #2 gtk_css_gadget_get_preferred_size at gtkcssgadget.c:486
 #3 gtk_image_get_preferred_height at gtkimage.c:1893
 #4 Gtk::Widget_Class::get_preferred_height_vfunc_callback at widget.cc:360
 #5 gtk_widget_query_size_for_orientation at gtksizerequest.c:219
 #6 gtk_widget_compute_size_for_orientation at gtksizerequest.c:391
 #7 gtk_widget_get_preferred_height_and_baseline_for_width at gtksizerequest.c:634
 #8 gtk_box_get_size at gtkbox.c:1593
 #9 gtk_box_get_content_size at gtkbox.c:2049
Comment 1 Francesco Frassinelli (frafra) 2015-12-18 16:32:14 EST
Created attachment 1107440 [details]
File: backtrace
Comment 2 Francesco Frassinelli (frafra) 2015-12-18 16:32:16 EST
Created attachment 1107441 [details]
File: cgroup
Comment 3 Francesco Frassinelli (frafra) 2015-12-18 16:32:19 EST
Created attachment 1107442 [details]
File: core_backtrace
Comment 4 Francesco Frassinelli (frafra) 2015-12-18 16:32:21 EST
Created attachment 1107443 [details]
File: dso_list
Comment 5 Francesco Frassinelli (frafra) 2015-12-18 16:32:23 EST
Created attachment 1107444 [details]
File: environ
Comment 6 Francesco Frassinelli (frafra) 2015-12-18 16:32:24 EST
Created attachment 1107445 [details]
File: exploitable
Comment 7 Francesco Frassinelli (frafra) 2015-12-18 16:32:26 EST
Created attachment 1107446 [details]
File: limits
Comment 8 Francesco Frassinelli (frafra) 2015-12-18 16:32:29 EST
Created attachment 1107447 [details]
File: maps
Comment 9 Francesco Frassinelli (frafra) 2015-12-18 16:32:31 EST
Created attachment 1107448 [details]
File: mountinfo
Comment 10 Francesco Frassinelli (frafra) 2015-12-18 16:32:33 EST
Created attachment 1107449 [details]
File: namespaces
Comment 11 Francesco Frassinelli (frafra) 2015-12-18 16:32:34 EST
Created attachment 1107450 [details]
File: open_fds
Comment 12 Francesco Frassinelli (frafra) 2015-12-18 16:32:36 EST
Created attachment 1107451 [details]
File: proc_pid_status
Comment 13 Francesco Frassinelli (frafra) 2015-12-18 16:32:38 EST
Created attachment 1107452 [details]
File: var_log_messages
Comment 14 Francesco Frassinelli (frafra) 2015-12-18 16:40:16 EST
qemu-kvm launched without "-soundhw" option and with "-soundhw sb16,es1370,adlib"; same issue.
Comment 15 Francesco Frassinelli (frafra) 2015-12-18 16:44:57 EST
Audio works as expected with "-soundhw sb16,es1370,adlib" but pavucontrol doesn't start. I see the window for a second and then it disappears.
Comment 16 Giulio 'juliuxpigface' 2016-01-04 16:36:40 EST
Another user experienced a similar problem:

Pavucontrol crashes everytime I try to start it (on a Xfce Environment)

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        pavucontrol
crash_function: gtk_image_get_content_size
executable:     /usr/bin/pavucontrol
global_pid:     5336
kernel:         4.4.0-0.rc6.git1.1.fc24.i686+PAE
package:        pavucontrol-3.0-5.fc24
reason:         pavucontrol killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Jan Kurik 2016-02-24 09:09:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 18 Matthias Clasen 2016-03-28 09:49:19 EDT
This was fixed in gtk shortly after it was filed:

commit 3075dac106a551591363e3f84026697c41a94a2a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 21 12:53:05 2015 -0500

    image: Don't assume baseline parameters are non-NULL
    
    The GetSize callback *can* assume that minimum and natural are
    non-NULL. Buy minimum_baseline and natural_baseline can and
    will be NULL, so handle that. This was causing crashes e.g. in
    pavucontrol.

Note You need to log in before you can comment on or make changes to this bug.